# -*- coding: utf-8 -*-

NGINX = '''server {{
    listen [::]:{port} ssl http2;
    server_name {host}.{domain};

    access_log /var/log/nginx/{app}.access.log;
    error_log /var/log/nginx/{app}.error.log;

    location / {{
        proxy_pass http://{ip}:8080;
    }}

    include vmmgr_common;
}}
'''

NGINX_DEFAULT = '''server {{
    listen [::]:80 default_server ipv6only=off;

    location / {{
        return 301 https://$host:{port}$request_uri;
    }}

    location /.well-known/acme-challenge/ {{
        root /etc/acme.sh.d;
    }}

    include vmmgr_common;
}}

server {{
    listen [::]:{port} ssl http2 default_server ipv6only=off;

    location / {{
        proxy_pass http://127.0.0.1:8080;
    }}

    location /static {{
        root /usr/share/vmmgr;
    }}

    include vmmgr_common;
}}

server {{
    listen [::]:{port} ssl http2;
    server_name *.{domain};

    location / {{
        return 503;
    }}

    include vmmgr_common;
}}
'''

ISSUE = '''
\x1b[1;32m   _____             _   _         __      ____  __ 
  / ____|           | | | |        \\ \\    / /  \\/  |
 | (___  _ __   ___ | |_| |_ ___ _ _\\ \\  / /| \\  / |
  \\___ \\| '_ \\ / _ \\| __| __/ _ \\ '__\\ \\/ / | |\\/| |
  ____) | |_) | (_) | |_| ||  __/ |   \\  /  | |  | |
 |_____/| .__/ \\___/ \\__|\\__\\___|_|    \\/   |_|  |_|
        | |                                         
        |_|\x1b[0m

 \x1b[1;33mUPOZORNĚNÍ:\x1b[0m Neoprávněný přístup k tomuto zařízení je zakázán.
 Musíte mít výslovné oprávnění k přístupu nebo konfiguraci tohoto zařízení.
 Neoprávněné pokusy a kroky k přístupu nebo používání tohoto systému mohou mít
 za následek občanské nebo trestní sankce.

 \x1b[1;33mCAUTION:\x1b[0m Unauthorized access to this device is prohibited.
 You must have explicit, authorized permission to access or configure this
 device. Unauthorized attempts and actions to access or use this system may
 result in civil or criminal penalties.

 Pro přístup k aplikacím otevřete jednu z těchto URL v internetovém prohlížeči.
 Open one the following URLs in web browser to access the applications.

   - \x1b[1m{url_host}\x1b[0m
   - \x1b[1m{url_ip}\x1b[0m\x1b[?1c
'''
