# -*- coding: utf-8 -*-

class WSGILang:
    lang = {
        'invalid_domain': 'Zadaný doménový název není platný.',
        'invalid_port': 'Zadaný port není platný.',
        'invalid_ip': 'Zadaná IP adresa není platná.',
        'host_updated': 'Nastavení hostitele bylo úspěšně změněno. Přejděte na URL <a href="{}">{}</a> a pokračujte následujícími kroky.',
        'dns_record_does_not_exist': 'DNS záznam pro název "{}" neexistuje.',
        'dns_record_mismatch': 'DNS záznam pro název "{}" směřuje na IP {} místo očekávané {}.',
        'dns_error': 'Nepodařilo se získat platnou odpověď z DNS serveru. Zkontrolujte, zda má virtuální stroj přístup k internetu.',
        'dns_records_ok': 'DNS záznamy jsou nastaveny správně.',
        'http_host_not_reachable': 'Adresa {} není dostupná z internetu. Zkontrolujte nastavení síťových komponent.',
        'http_timeout': 'Nepodařilo se kontaktovat ping server. Zkontrolujte, zda má virtuální stroj přístup k internetu.',
        'http_hosts_ok': 'Síť je nastavena správně. Všechny aplikace na portu {} jsou z internetu dostupné.',
        'cert_file_missing': 'Nebyl vybrán soubor s certifikátem.',
        'key_file_missing': 'Nebyl vybrán soubor se soukromým klíčem.',
        'cert_request_error': 'Došlo k chybě při žádosti o certifikát. Zkontrolujte, zda je virtuální stroj dostupný z internetu na portu 80.',
        'cert_installed': 'Certifikát byl úspěšně nainstalován. Přejděte na URL <a href="{}">{}</a> nebo restartujte webový prohlížeč pro jeho načtení.',
        'invalid_email': 'Zadaný e-mail "{}" není platný.',
        'invalid_url': 'Zadaná adresa "{}" není platná.',
        'common_updated': 'Nastavení aplikací bylo úspěšně změněno. Pokud je některá z aplikací spuštěna, změny se projeví po jejím restartu.',
        'repo_updated': 'Nastavení distribučního serveru bylo úspěšně změněno.',
        'stop_start_error': 'Došlo k chybě při spouštění/zastavování. Zkuste akci opakovat nebo restartuje virtuální stroj.',
        'installation_in_progress': 'Probíhá instalace jiného balíku. Vyčkejte na její dokončení.',
        'package_manager_error': 'Došlo k chybě při instalaci aplikace. Zkuste akci opakovat nebo restartuje virtuální stroj.',
        'invalid_packages_signature': 'Digitální podpis seznamu balíků není platný. Kontaktujte správce distribučního serveru.',
        'repo_invalid_credentials': 'Přístupové údaje k distribučnímu serveru nejsou správné.',
        'repo_unavailable': 'Distribuční server není dostupný. Zkontroluje přístupové údaje nebo připojení k síti.',
        'repo_package_missing': 'Požadovaný balík nebyl na distribučním serveru nalezen. Kontaktujte správce distribučního serveru.',
        'repo_package_invalid_hash': 'Požadovaný balík nemá spráný kontrolní součet. Zkuste akci opakovat nebo kontaktujte správce distribučního serveru.',
        'bad_password': 'Nesprávné heslo',
        'password_mismatch': 'Zadaná hesla se neshodují',
        'password_empty': 'Nové heslo nesmí být prázdné',
        'password_changed': 'Heslo bylo úspěšně změněno',
        'reboot_initiated': 'Příkaz odeslán. Vyčkejte na restartování virtuálního stroje.',
        'shutdown_initiated': 'Příkaz odeslán. Vyčkejte na vypnutí virtuálního stroje.',
        'status_queued': 've frontě',
        'status_starting': 'Spouští se',
        'status_started': 'Spuštěna',
        'status_stopping': 'Zastavuje se',
        'status_stopped': 'Zastavena',
        'status_downloading': 'Stahuje se {}',
        'status_unpacking': 'Rozbaluje se {}',
        'status_installing': 'Instaluje se',
        'status_updating': 'Aktualizuje se',
        'status_uninstalling': 'Odinstalovává se',
        'status_deleting': 'Maže se {}',
        'status_not_installed': 'Není nainstalována',
        'action_start': 'Spustit',
        'action_stop': 'Zastavit',
        'action_install': 'Instalovat',
        'action_uninstall': 'Odinstalovat',
        'action_update': 'Aktualizovat',
        'ssh_keys_installed': 'SSH klíče byly úspěšně změněny.',
        'vpn_updated': 'Nastavení VPN bylo úspěšně změněno.',
        'not_available_in_demo': 'Tato funkce není v demo verzi povolena',
    }

    def __getattr__(self, key):
        def function(*args):
            return self.lang[key].format(*args)
        return function
